<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.persagy.dmp.file.dao.FileMd5Mapper">

    <resultMap id="BaseResultMap" type="com.persagy.dmp.file.model.FileMd5">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="fileType" column="file_type" jdbcType="VARCHAR"/>
            <result property="fileBucket" column="file_bucket" jdbcType="VARCHAR"/>
            <result property="filePath" column="file_path" jdbcType="VARCHAR"/>
            <result property="fileSize" column="file_size" jdbcType="INTEGER"/>
            <result property="fileMd5" column="file_md5" jdbcType="VARCHAR"/>
            <result property="uploadStatus" column="upload_status" jdbcType="TINYINT"/>
            <result property="creator" column="creator" jdbcType="VARCHAR"/>
            <result property="creationTime" column="creation_time" jdbcType="CHAR"/>
            <result property="modifier" column="modifier" jdbcType="VARCHAR"/>
            <result property="modifiedTime" column="modified_time" jdbcType="CHAR"/>
            <result property="valid" column="valid" jdbcType="TINYINT"/>
            <result property="ts" column="ts" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,file_type,file_bucket,
        file_path,file_size,file_md5,
        upload_status,creator,creation_time,
        modifier,modified_time,valid,
        ts
    </sql>
</mapper>
